@echo OFF
rem  * ************************************************************************
rem  *               EZSCHEDULE.CMD - a Windows Command File                  *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2019 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  *
rem  * ESA, Enterprise Server Administration
rem  *      Batch Scheduler Interface
rem  *      Parameter 1 is Server Name
rem  *      Parameter 2 is Job Name, a JCL member name without
rem  *                  an extension
rem  *
     set JESSERVERNAME=%1
     call ..\env1BASE
     call SimoNOTE "****************************************ezSCHEDULE"
     call SimoNOTE "Starting CmdName ezSCHEDULE, User is %USERNAME%"
rem  *
     if "%1" == "" (set JobStatus=0091
                    goto EOJNOK)
     if "%2" == "" (set JobStatus=0092
                    goto EOJNOK)
rem  * Schedule and Monitor the Job
     call SimoNOTE "Continue CmdName ezSCHEDULE, Server is %JESSERVERNAME%, Job is %2 "
     call SimoNOTE "Continue CmdName ezSCHEDULE, %DATE% - %TIME% "
rem  * C:\Windows\System32\cmd.exe /C start /affinity 1 C:\(ProgramFolder)\(program).exe
rem  * C:\Windows\System32\cmd.exe /C start /affinity 6 run MFBSIJCL -j%BaseLib1%\JCL\%2.JCL -r%1 END
     run MFBSIJCL -j%BASEAPP%\JCL\%2.JCL -r%1 %3 END
     echo * ezSCHEDULE, CC=%ERRORLEVEL%
     if not "%ERRORLEVEL%" == "0" set JobStatus=%ERRORLEVEL%
     if not "%JobStatus%" == "0000" goto :EOJNOK
echo * Rename the MFBSI Log file with appended date and time values
     set OLDNAME=%MFBSI_DIR%\%2.LOG
     run MFBSIEOP
     if not "%ERRORLEVEL%" == "0" set JobStatus=%ERRORLEVEL%
     call SimoNOTE "MFJESDIR %OLDNAME% "
     if not "%JobStatus%" == "0000" goto :EOJNOK
     goto :EOJAOK
:EOJNOK
     if "%JobStatus%" == "0091" (call SimoNOTE "Parameter 1 must be Server Name"
                                 goto EOJNOK2)
     if "%JobStatus%" == "0092" (call SimoNOTE "Parameter 2 must be Job Name"
                                 goto EOJNOK2)
     if "%JobStatus%" == "209"  (call SimoNOTE "Requested JCL Member is missing or invalid,"
                                 call SimoNOTE "or requested server not available"
                                 goto EOJNOK2)
     set OLDNAME=%MFBSI_DIR%\%2.LOG
     run MFBSIEOP
:EOJNOK2
     call SimoNOTE "ABENDING CmdName ezSCHEDULE, %JESSERVERNAME%, %2 JobStatus is %JobStatus% "
     goto :END
:EOJAOK
     call SimoNOTE "Complete CmdName ezSCHEDULE, %DATE% - %TIME% "
     call SimoNOTE "Complete CmdName ezSCHEDULE, %JESSERVERNAME%, %2 JobStatus is %JobStatus% "
     goto :END
:END
     exit /B %JobStatus%
